{
    "$graph": [
        {
            "label": "gpx_qdump",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "gpx_qdump",
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-input-path"
                    },
                    "id": "#gpx_qdump.cwl/input_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output.asn",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#gpx_qdump.cwl/output_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-unzip"
                    },
                    "id": "#gpx_qdump.cwl/unzip"
                }
            ],
            "id": "#gpx_qdump.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_name)"
                    },
                    "id": "#gpx_qdump.cwl/output"
                }
            ]
        },
        {
            "label": "hmmsearch_create_jobs",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_create_jobs",
            "arguments": [
                "-no-merge-hmms"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-hmm-path"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "jobs.xml",
                    "inputBinding": {
                        "prefix": "-output"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/output"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-seqids"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/seqids"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "workpath",
                    "inputBinding": {
                        "prefix": "-workpath"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workpath"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.workpath)"
                    },
                    "id": "#hmmsearch_create_jobs.cwl/workdir"
                }
            ],
            "id": "#hmmsearch_create_jobs.cwl"
        },
        {
            "label": "hmmsearch_wnode",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.hmm_path)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.proteins)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.workdir)",
                            "writable": false
                        },
                        {
                            "entry": "$(inputs.asn_cache)",
                            "writable": false
                        },
                        {
                            "entryname": "fam.mft",
                            "entry": "${ if ( inputs.hmms_tab == null ) { return ''; }  else { return inputs.hmms_tab.path; } }"
                        }
                    ]
                }
            ],
            "baseCommand": "hmmsearch_wnode",
            "arguments": [
                "-backlog",
                "1",
                "-cut_ga"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "fam.mft",
                    "inputBinding": {
                        "prefix": "-fam"
                    },
                    "id": "#hmmsearch_wnode.cwl/fam"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "/panfs/pan1.be-md.ncbi.nlm.nih.gov/gpipe/bacterial_pipeline/system/third-party/bin",
                    "inputBinding": {
                        "prefix": "-hmmsearch-path"
                    },
                    "id": "#hmmsearch_wnode.cwl/hmmsearch_path"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input-jobs"
                    },
                    "id": "#hmmsearch_wnode.cwl/input_jobs"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-lds2"
                    },
                    "id": "#hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "output",
                    "inputBinding": {
                        "prefix": "-O"
                    },
                    "id": "#hmmsearch_wnode.cwl/output_dir"
                },
                {
                    "type": "File",
                    "id": "#hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "Directory",
                    "id": "#hmmsearch_wnode.cwl/workdir"
                }
            ],
            "outputs": [
                {
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.output_dir)"
                    },
                    "id": "#hmmsearch_wnode.cwl/output"
                }
            ],
            "id": "#hmmsearch_wnode.cwl"
        },
        {
            "label": "reduce",
            "class": "CommandLineTool",
            "hints": [
                {
                    "dockerPull": "ncbi/gpdev:latest",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": "reduce",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-aligns"
                    },
                    "id": "#reduce.cwl/aligns"
                },
                {
                    "type": "string",
                    "default": "protein.seqids",
                    "inputBinding": {
                        "prefix": "-oseqids"
                    },
                    "id": "#reduce.cwl/oseqids_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oseqids_name)"
                    },
                    "id": "#reduce.cwl/oseqids"
                }
            ],
            "id": "#reduce.cwl"
        },
        {
            "label": "spurious_annot",
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/AntiFamLib"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_ORF_Proteins_lds2"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_ORF_Proteins_proteins"
                },
                {
                    "type": "File",
                    "id": "#main/Extract_ORF_Proteins_seqids"
                },
                {
                    "type": "Directory",
                    "id": "#main/sequence_cache"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/AntiFam_tainted_proteins_I/oseqids",
                    "id": "#main/AntiFam_tainted_proteins_I___oseqids"
                }
            ],
            "steps": [
                {
                    "label": "AntiFam tainted proteins I",
                    "run": "#reduce.cwl",
                    "in": [
                        {
                            "source": "#main/Search_AntiFam_I/hmm_hits",
                            "id": "#main/AntiFam_tainted_proteins_I/aligns"
                        }
                    ],
                    "out": [
                        "#main/AntiFam_tainted_proteins_I/oseqids"
                    ],
                    "id": "#main/AntiFam_tainted_proteins_I"
                },
                {
                    "label": "Search AntiFam I",
                    "run": "#tt_hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#main/sequence_cache",
                            "id": "#main/Search_AntiFam_I/asn_cache"
                        },
                        {
                            "source": "#main/AntiFamLib",
                            "id": "#main/Search_AntiFam_I/hmm_path"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins_lds2",
                            "id": "#main/Search_AntiFam_I/lds2"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins_proteins",
                            "id": "#main/Search_AntiFam_I/proteins"
                        },
                        {
                            "source": "#main/Extract_ORF_Proteins_seqids",
                            "id": "#main/Search_AntiFam_I/seqids"
                        }
                    ],
                    "out": [
                        "#main/Search_AntiFam_I/hmm_hits"
                    ],
                    "id": "#main/Search_AntiFam_I"
                }
            ],
            "id": "#main"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/asn_cache"
                },
                {
                    "type": "Directory",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_path"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmms_tab"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/lds2"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/proteins"
                },
                {
                    "type": "File",
                    "id": "#tt_hmmsearch_wnode.cwl/seqids"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/gpx_qdump/output",
                    "id": "#tt_hmmsearch_wnode.cwl/hmm_hits"
                },
                {
                    "type": "File",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                    "id": "#tt_hmmsearch_wnode.cwl/jobs"
                },
                {
                    "type": "Directory",
                    "outputSource": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                    "id": "#tt_hmmsearch_wnode.cwl/workdir"
                }
            ],
            "steps": [
                {
                    "run": "#gpx_qdump.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/output",
                            "id": "#tt_hmmsearch_wnode.cwl/gpx_qdump/input_path"
                        },
                        {
                            "default": "hmm_hits.asn",
                            "id": "#tt_hmmsearch_wnode.cwl/gpx_qdump/output_name"
                        },
                        {
                            "default": "*",
                            "id": "#tt_hmmsearch_wnode.cwl/gpx_qdump/unzip"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/gpx_qdump/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/gpx_qdump"
                },
                {
                    "run": "#hmmsearch_create_jobs.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/seqids",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/seqids"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs"
                },
                {
                    "run": "#hmmsearch_wnode.cwl",
                    "in": [
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/asn_cache",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/asn_cache"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmm_path",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/hmm_path"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmms_tab",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/hmms_tab"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/jobs",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/input_jobs"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/lds2",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/lds2"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/proteins",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/proteins"
                        },
                        {
                            "source": "#tt_hmmsearch_wnode.cwl/hmmsearch_create_jobs/workdir",
                            "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/workdir"
                        }
                    ],
                    "out": [
                        "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode/output"
                    ],
                    "id": "#tt_hmmsearch_wnode.cwl/hmmsearch_wnode"
                }
            ],
            "id": "#tt_hmmsearch_wnode.cwl"
        }
    ],
    "cwlVersion": "v1.0"
}
